Subject: bug#36365: Add info how to deselect secondary selection (Emacs manual)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jul 2019 21:21:21 +0300

> From: Sebastian Urban <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 6 Jul 2019 20:17:13 +0200
> 
> Ok, thanks, but what about documentation string for
> 'mouse-start-secondary' (i.e. 'M-x describe-function -> m-s-s')?

What about it?  There was no mention of that in your original report.

> I also have problem with:
> ... if you click @kbd{M-mouse-1} on the mode line or on the header line.
> 
> I guessing that clicking 'M-mouse-1' anywhere in the text will cancel
> selection, but also start new one, and doing so on mode line/header
> line, will not start new selection, is it correct so far?  But then
> when I do so I get:
> <mode-line> <M-mouse-1> is undefined
> OR
> <header-line> <M-mouse-1> is undefined
> and secondary selection is still there.  Am I doing something wrong?

I have no idea, as on my system secondary selections simply don't
work.  I guess someone else will have to find the way of deselecting
without starting a new selection, if one exists.  And if it doesn't
exist, I will simply remove that text, so that docs match the reality.